For the complete documentation index, see llms.txt. This page is also available as Markdown.

Get service shipment

Get service shipment.

Required permissions: SERVICE_ORDER

get
/tenants/{tenantUid}/serviceorders/shipments/{serviceShipmentUid}
Authorizations
AuthorizationstringRequired

Access token recevied after user login with a deviceToken

Path parameters
tenantUidstringRequired

Reference to a tenant.

Pattern: ^[A-Za-z0-9-_]+
serviceShipmentUidstringRequired

Reference to a service shipment.

Pattern: ^[A-Za-z0-9-_]+
Responses
200

Example response

application/json
serviceShipmentUidstringRequiredPattern: ^[A-Za-z0-9-_]+
statusstring · enumRequiredPossible values:
notestringRequired
trackingNumberstringRequired
shipmentNumberstringRequired
createdBystringRequired
createdAtstring · date-timeRequired
lastModifiedBystringRequired
lastModifiedAtstring · date-timeRequired
shipmentDatestring · date-timeRequired
allReceivedbooleanRequired
get/tenants/{tenantUid}/serviceorders/shipments/{serviceShipmentUid}
GET /v2/tenants/{tenantUid}/serviceorders/shipments/{serviceShipmentUid} HTTP/1.1
Host: api.flowretail.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
200

Example response

{
  "serviceShipmentUid": "text",
  "sender": {
    "storeUid": "text"
  },
  "receiver": {
    "storeUid": "text",
    "externalWorkshopUid": "text"
  },
  "status": "NOT_SENT",
  "note": "text",
  "trackingNumber": "text",
  "shipmentNumber": "text",
  "items": [
    {
      "serviceOrderUid": "text",
      "receivedDate": "2026-01-01T00:00:00.000Z",
      "createdAt": "2026-01-01T00:00:00.000Z",
      "createdBy": "text",
      "lastModifiedAt": "2026-01-01T00:00:00.000Z",
      "lastModifiedBy": "text"
    }
  ],
  "createdBy": "text",
  "createdAt": "2026-01-01T00:00:00.000Z",
  "lastModifiedBy": "text",
  "lastModifiedAt": "2026-01-01T00:00:00.000Z",
  "shipmentDate": "2026-01-01T00:00:00.000Z",
  "allReceived": true
}

Last updated

Was this helpful?